Skip to main content
POST
/
v0
/
api
/
projects
/
{projectGroupId}
/
settings
/
auth
Error
A valid request URL is required to generate request examples
{
  "authEnabled": true,
  "providers": [
    {
      "enabled": true,
      "configured": true,
      "expectedSecretKeys": [
        "<string>"
      ],
      "configuredSecretKeys": [
        "<string>"
      ],
      "helpUrl": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Use your Anything API key as the Basic auth username and leave the password empty. Example credentials: anything_xxx:

Path Parameters

projectGroupId
string<uuid>
required

Body

application/json
provider
enum<string>
required
Available options:
google,
email,
facebook,
twitter,
apple
enabled
boolean
required
secrets
object[]
enableForAllModules
boolean

Response

Updated project auth settings

authEnabled
boolean
required
providers
object[]
required